Subject: Re: [PATCH 00/20] parse-options: handle subcommands

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Jul 2022 10:56:45 -0700

SZEDER Gábor <[email-masked]> writes:

>   - builtin/bisect.c: after the conversion/rename from 'bisect--helper',
>     cmd_bisect() doesn't use parse-options anymore.  Take what's on 'seen'
>     to resolve the conflict.
>     Note that the conflicting topic should have marked cmd_bisect() with
>     the NO_PARSEOPT flag in 'git.c's command list.

I was wondering about this one.  Does the new "subcommand" support
help implementing the dispatching to subcommands better?  If so it
may not be a bad idea to redo the cmd_bisect() on top of this series
once it proves to be solid.

So far, I like everything I saw in this series.  Nicely done.

Thanks.